PDA

View Full Version : Compatibility with low end PCs



ilteralyl
09-30-2012, 05:00 PM
I know GRFS is a next gen game meaning it requires better systems. But as one who can't afford a better system and stuff, I am disappointed because the game itself can't run nicely on it's lowest settings for me. The lag is fine for it is light but the worst part is the campaign where the game lags like hell. So my point here is to request a new patch which if possible will add more compatibility to older systems which will be a greater help and perhaps may benefit more people. Is it possible?